Functions
FLAG_management
Peripheral Driver » LL Driver » I2C » Functions

## Functions
__STATIC_INLINE uint32_t | ll_i2c_get_it_flag (i2c_regs_t *I2Cx)
| Get I2C interrupt flags. More...
__STATIC_INLINE uint32_t | ll_i2c_get_raw_it_flag (i2c_regs_t *I2Cx)
| Get I2C RAW interrupt flags. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_master_on_hold (i2c_regs_t *I2Cx)
| Indicate the status of MST_ON_HOLD flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_master_on_hold (i2c_regs_t *I2Cx)
| Indicate the status of RAW_MST_ON_HOLD flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_restart_det (i2c_regs_t *I2Cx)
| Indicate the status of RESTART_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_restart_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RESTART_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_gen_call (i2c_regs_t *I2Cx)
| Indicate the status of GEN_CALL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_gen_call (i2c_regs_t *I2Cx)
| Indicate the status of RAW_GEN_CALL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_start_det (i2c_regs_t *I2Cx)
| Indicate the status of START_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_start_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_START_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_stop_det (i2c_regs_t *I2Cx)
| Indicate the status of STOP_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_stop_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_STOP_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_activity (i2c_regs_t *I2Cx)
| Indicate the status of ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_activity (i2c_regs_t *I2Cx)
| Indicate the status of RAW_ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_done (i2c_regs_t *I2Cx)
| Indicate the status of RX_DONE flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_done (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_DONE flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_abort (i2c_regs_t *I2Cx)
| Indicate the status of TX_ABRT flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_abort (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_ABRT flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_read_req (i2c_regs_t *I2Cx)
| Indicate the status of RD_REQ flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_read_req (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RD_REQ flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_empty (i2c_regs_t *I2Cx)
| Indicate the status of TX_EMPTY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_empty (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_EMPTY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_over (i2c_regs_t *I2Cx)
| Indicate the status of TX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_over (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_full (i2c_regs_t *I2Cx)
| Indicate the status of RX_FULL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_full (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_FULL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_over (i2c_regs_t *I2Cx)
| Indicate the status of RX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_over (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_under (i2c_regs_t *I2Cx)
| Indicate the status of RX_UNDER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_under (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_UNDER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_intr (i2c_regs_t *I2Cx)
| Clear the combined interrupt, all individual interrupts, and the IC_TX_ABRT_SOURCE register. More...
__STATIC_INLINE void | ll_i2c_clear_flag_gen_call (i2c_regs_t *I2Cx)
| Clear GEN_CALL flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_start_det (i2c_regs_t *I2Cx)
| Clear START_DET flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_stop_det (i2c_regs_t *I2Cx)
| Clear STOP_DET flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_activity (i2c_regs_t *I2Cx)
| Clear ACTIVITY flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_done (i2c_regs_t *I2Cx)
| Clear RX_DONE flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_tx_abort (i2c_regs_t *I2Cx)
| Clear TX_ABRT flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_read_req (i2c_regs_t *I2Cx)
| Clear RD_REQ flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_tx_over (i2c_regs_t *I2Cx)
| Clear TX_OVER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_over (i2c_regs_t *I2Cx)
| Clear RX_OVER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_under (i2c_regs_t *I2Cx)
| Clear RX_UNDER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_slave_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Slave FSM Activity Status flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_master_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Master FSM Activity Status flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_rff (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Receive FIFO Completely Full flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_rfne (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Receive FIFO Not Empty flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_tfe (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Transmit FIFO Completely Empty flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_tfnf (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Transmit FIFO Not Full flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_slave_rx_data_lost (i2c_regs_t *I2Cx)
| Indicate the status of Slave Received Data Lost flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_slave_dis_whl_busy (i2c_regs_t *I2Cx)
| Indicate the status of Slave Disabled While Busy flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2c_clear_flag_activity()

__STATIC_INLINE void ll_i2c_clear_flag_activity | ( | i2c_regs_t * | I2Cx | ) |

Clear ACTIVITY flag.

Register | BitsName
--- | ---
IC_CLR_ACTIVITY | CLR_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2684 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_gen_call()

__STATIC_INLINE void ll_i2c_clear_flag_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Clear GEN_CALL flag.

Register | BitsName
--- | ---
IC_CLR_GEN_CALL | CLR_GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2633 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_intr()

__STATIC_INLINE void ll_i2c_clear_flag_intr | ( | i2c_regs_t * | I2Cx | ) |

Clear the combined interrupt, all individual interrupts, and the IC_TX_ABRT_SOURCE register.

Register | BitsName
--- | ---
IC_CLR_INTR | CLR_INTR

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2616 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_read_req()

__STATIC_INLINE void ll_i2c_clear_flag_read_req | ( | i2c_regs_t * | I2Cx | ) |

Clear RD_REQ flag.

Register | BitsName
--- | ---
IC_CLR_RD_REQ | CLR_RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2735 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_done()

__STATIC_INLINE void ll_i2c_clear_flag_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_DONE flag.

Register | BitsName
--- | ---
IC_CLR_RX_DONE | CLR_RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2701 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_over()

__STATIC_INLINE void ll_i2c_clear_flag_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_OVER flag.

Register | BitsName
--- | ---
IC_CLR_RX_OVER | CLR_RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2769 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_under()

__STATIC_INLINE void ll_i2c_clear_flag_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_UNDER flag.

Register | BitsName
--- | ---
IC_CLR_RX_UNDER | CLR_RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2786 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_start_det()

__STATIC_INLINE void ll_i2c_clear_flag_start_det | ( | i2c_regs_t * | I2Cx | ) |

Clear START_DET flag.

Register | BitsName
--- | ---
IC_CLR_START_DET | CLR_START_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2650 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_stop_det()

__STATIC_INLINE void ll_i2c_clear_flag_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Clear STOP_DET flag.

Register | BitsName
--- | ---
IC_CLR_STOP_DET | CLR_STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2667 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_tx_abort()

__STATIC_INLINE void ll_i2c_clear_flag_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Clear TX_ABRT flag.

Register | BitsName
--- | ---
IC_CLR_TX_ABRT | CLR_TX_ABRT

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2718 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_tx_over()

__STATIC_INLINE void ll_i2c_clear_flag_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Clear TX_OVER flag.

Register | BitsName
--- | ---
IC_CLR_TX_OVER | CLR_TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2752 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_it_flag()

__STATIC_INLINE uint32_t ll_i2c_get_it_flag | ( | i2c_regs_t * | I2Cx | ) |

Get I2C interrupt flags.

Register | BitsName
--- | ---
IC_INTR_STAT | MST_ON_HOLD
IC_INTR_STAT | RESTART_DET
IC_INTR_STAT | GEN_CALL
IC_INTR_STAT | START_DET
IC_INTR_STAT | STOP_DET
IC_INTR_STAT | ACTIVITY
IC_INTR_STAT | RX_DONE
IC_INTR_STAT | TX_ABRT
IC_INTR_STAT | RD_REQ
IC_INTR_STAT | TX_EMPTY
IC_INTR_STAT | TX_OVER
IC_INTR_STAT | RX_FULL
IC_INTR_STAT | RX_OVER
IC_INTR_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  Returned | value can be one or combination of the following values: LL_I2C_INTR_STAT_MST_ON_HOLD LL_I2C_INTR_STAT_RESTART_DET LL_I2C_INTR_STAT_GEN_CALL LL_I2C_INTR_STAT_START_DET LL_I2C_INTR_STAT_STOP_DET LL_I2C_INTR_STAT_ACTIVITY LL_I2C_INTR_STAT_RX_DONE LL_I2C_INTR_STAT_TX_ABRT LL_I2C_INTR_STAT_RD_REQ LL_I2C_INTR_STAT_TX_EMPTY LL_I2C_INTR_STAT_TX_OVER LL_I2C_INTR_STAT_RX_FULL LL_I2C_INTR_STAT_RX_OVER LL_I2C_INTR_STAT_RX_UNDER

Definition at line 2083 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_raw_it_flag()

__STATIC_INLINE uint32_t ll_i2c_get_raw_it_flag | ( | i2c_regs_t * | I2Cx | ) |

Get I2C RAW interrupt flags.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_MST_ON_HOLD
IC_RAW_INTR_STAT | RAW_RESTART_DET
IC_RAW_INTR_STAT | RAW_GEN_CALL
IC_RAW_INTR_STAT | RAW_START_DET
IC_RAW_INTR_STAT | RAW_STOP_DET
IC_RAW_INTR_STAT | RAW_ACTIVITY
IC_RAW_INTR_STAT | RAW_RX_DONE
IC_RAW_INTR_STAT | RAW_TX_ABRT
IC_RAW_INTR_STAT | RAW_RD_REQ
IC_RAW_INTR_STAT | RAW_TX_EMPTY
IC_RAW_INTR_STAT | RAW_TX_OVER
IC_RAW_INTR_STAT | RAW_RX_FULL
IC_RAW_INTR_STAT | RAW_RX_OVER
IC_RAW_INTR_STAT | RAW_RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  Returned | value can be one or combination of the following values: LL_I2C_INTR_STAT_MST_ON_HOLD LL_I2C_INTR_STAT_RESTART_DET LL_I2C_INTR_STAT_GEN_CALL LL_I2C_INTR_STAT_START_DET LL_I2C_INTR_STAT_STOP_DET LL_I2C_INTR_STAT_ACTIVITY LL_I2C_INTR_STAT_RX_DONE LL_I2C_INTR_STAT_TX_ABRT LL_I2C_INTR_STAT_RD_REQ LL_I2C_INTR_STAT_TX_EMPTY LL_I2C_INTR_STAT_TX_OVER LL_I2C_INTR_STAT_RX_FULL LL_I2C_INTR_STAT_RX_OVER LL_I2C_INTR_STAT_RX_UNDER

Definition at line 2125 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of ACTIVITY flag.

Note
  RESET: Clear default value. SET : When masked ACTIVITY interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2312 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of GEN_CALL flag.

Note
  RESET: Clear default value. SET : When masked GEN_CALL interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2210 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of MST_ON_HOLD flag.

Note
  RESET: Clear default value. SET : When MST_ON_HOLD interrupt is actived.

Register | BitsName
--- | ---
RAW_INTR_STAT | MST_ON_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2142 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_ACTIVITY flag.

Note
  RESET: Clear default value. SET : When unmasked ACTIVITY interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2329 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_GEN_CALL flag.

Note
  RESET: Clear default value. SET : When unmasked GEN_CALL interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2227 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_MST_ON_HOLD flag.

Note
  RESET: Clear default value. SET : When unmasked MST_ON_HOLD interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_MST_ON_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2159 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_read_req | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RD_REQ flag.

Note
  RESET: Clear default value. SET : When unmasked RD_REQ interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2431 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RESTART_DET flag.

Note
  RESET: Clear default value. SET : When unmasked RESTART_DET interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2193 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_DONE flag.

Note
  RESET: Clear default value. SET : When unmasked RX_DONE interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2363 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_full()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_FULL flag.

Note
  RESET: Clear default value. SET : When unmasked RX_FULL interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2533 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_OVER flag.

Note
  RESET: Clear default value. SET : When unmasked RX_OVER interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2567 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_UNDER flag.

Note
  RESET: Clear default value. SET : When unmasked RX_UNDER interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2601 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_start_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_START_DET flag.

Note
  RESET: Clear default value. SET : When unmasked START_DET interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_START_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2261 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_STOP_DET flag.

Note
  RESET: Clear default value. SET : When unmasked STOP_DET interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2295 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_ABRT flag.

Note
  RESET: Clear default value. SET : When unmasked TX_ABRT interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_TX_ABRT

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2397 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_EMPTY flag.

Note
  RESET: Clear default value. SET : When unmasked TX_EMPTY interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2465 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_OVER flag.

Note
  RESET: Clear default value. SET : When unmasked TX_OVER interrupt is actived.

Register | BitsName
--- | ---
IC_RAW_INTR_STAT | RAW_TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2499 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_read_req | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RD_REQ flag.

Note
  RESET: Clear default value. SET : When masked RD_REQ interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2414 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RESTART_DET flag.

Note
  RESET: Clear default value. SET : When masked RESTART_DET interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2176 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_DONE flag.

Note
  RESET: Clear default value. SET : When masked RX_DONE interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2346 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_full()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_FULL flag.

Note
  RESET: Clear default value. SET : When masked RX_FULL interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2516 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_OVER flag.

Note
  RESET: Clear default value. SET : When masked RX_OVER interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2550 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_UNDER flag.

Note
  RESET: Clear default value. SET : When masked RX_UNDER interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2584 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_slave_dis_whl_busy()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_slave_dis_whl_busy | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of Slave Disabled While Busy flag.

Note
  RESET: Slave is disabled when it is idle. SET : Slave is disabled when it is active.

Register | BitsName
--- | ---
IC_ENABLE_STATUS | SLV_DIS_WHL_BUSY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2941 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_slave_rx_data_lost()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_slave_rx_data_lost | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of Slave Received Data Lost flag.

Note
  RESET: Slave RX Data is not lost. SET : Slave RX Data is lost.

Register | BitsName
--- | ---
IC_ENABLE_STATUS | SLV_RX_LOST

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2924 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_start_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of START_DET flag.

Note
  RESET: Clear default value. SET : When masked START_DET interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2244 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS ACTIVITY flag.

Note
  RESET: I2C is idle. SET : When I2C is active.

Register | BitsName
--- | ---
IC_STATUS | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2907 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_master_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_master_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Master FSM Activity Status flag.

Note
  RESET: Master FSM is in IDLE state. SET : When Master FSM is not in IDLE state.

Register | BitsName
--- | ---
IC_STATUS | MST_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2822 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_rff()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_rff | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Receive FIFO Completely Full flag.

Note
  RESET: Receive FIFO is not full. SET : When Receive FIFO is full.

Register | BitsName
--- | ---
IC_STATUS | RFF

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2839 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_rfne()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_rfne | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Receive FIFO Not Empty flag.

Note
  RESET: Receive FIFO is empty. SET : When Receive FIFO is not empty.

Register | BitsName
--- | ---
IC_STATUS | RFNE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2856 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_slave_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_slave_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Slave FSM Activity Status flag.

Note
  RESET: Slave FSM is in IDLE state. SET : When Slave FSM is not in IDLE state.

Register | BitsName
--- | ---
IC_STATUS | SLV_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2805 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_tfe()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_tfe | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Transmit FIFO Completely Empty flag.

Note
  RESET: Transmit FIFO is not empty. SET : When Transmit FIFO is empty.

Register | BitsName
--- | ---
IC_STATUS | TFE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2873 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_tfnf()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_tfnf | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Transmit FIFO Not Full flag.

Note
  RESET: Transmit FIFO is full. SET : When Transmit FIFO is not full.

Register | BitsName
--- | ---
IC_STATUS | TFNF

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2890 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of STOP_DET flag.

Note
  RESET: Clear default value. SET : When masked STOP_DET interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2278 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_ABRT flag.

Note
  RESET: Clear default value. SET : When masked TX_ABRT interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | TX_ABRT

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2380 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_EMPTY flag.

Note
  RESET: Clear default value. SET : When masked TX_EMPTY interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2448 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_OVER flag.

Note
  RESET: Clear default value. SET : When masked TX_OVER interrupt is actived.

Register | BitsName
--- | ---
IC_INTR_STAT | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2482 of file gr55xx_ll_i2c.h.